Paper Trading
Create a paper trading account
POST
appApiKeyheader
x-app-api-key<token>App-scoped API key. It is the only credential on partner-admin reads, paper-trading admin, and webhook rotate or replay. POST /bot-protection/verify requires it together with x-app-id.
appId*stringapplication/json- body
name?stringLength
1 <= length <= 120externalId?stringLength
1 <= length <= 160initialBalanceRaw?stringMatch
^[0-9]+$initialBalance?numberRange
0 <= value201
application/json- response
id*stringappId*stringname*stringexternalId*stringcurrency*stringstartingBalanceRaw*stringstartingBalance*numbercashBalanceRaw*stringcashBalance*numberrealizedPnlRaw*stringrealizedPnl*numberkycStatus*"verified"Value in
"verified"kycVerified*trueValue in
truestatus*stringValue in
"active""archived"createdAt*stringupdatedAt*stringcurl -X POST 'https://api.t.sufwankhalid.com/apps/string/paper-trading/accounts' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "string", "appId": "string", "name": "string", "externalId": "string", "currency": "string", "startingBalanceRaw": "string", "startingBalance": 0, "cashBalanceRaw": "string", "cashBalance": 0, "realizedPnlRaw": "string", "realizedPnl": 0, "kycStatus": "verified", "kycVerified": true, "status": "active", "createdAt": "string", "updatedAt": "string"}